// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_kickoff3/ko3_sky
{
	qer_editorimage env/ut4_kickoff3/aft_bk.tga
	
	skyparms env/ut4_kickoff3/aft 512 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 3
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Ladderclip ===---

textures/ut4_kickoff3/ko3_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== No Damage ===---

textures/ut4_kickoff3/black:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/e6trim_ltb:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/e8_base1c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/e8metal03c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/ft_rocky_07:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff3/ft_rocky_11:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_kickoff3/ko3_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kickoff3/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_kickoff3/ko3_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kickoff3/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_kickoff3/e6basicstrip_blue
{
	qer_editorimage textures/ut4_kickoff3/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
		
	{
		map textures/ut4_kickoff3/e6basicstrip_blue.tga
	}
}

textures/ut4_kickoff3/e6basicstrip_red
{
	qer_editorimage textures/ut4_kickoff3/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
		
	{
		map textures/ut4_kickoff3/e6basicstrip_red.tga
	}
}

// ---=== evil textures ===---

textures/ut4_kickoff3/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_kickoff3/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_kickoff3/e8minitrimlight
{
	qer_editorimage textures/ut4_kickoff3/e8minitrimlight.tga
	q3map_lightimage textures/ut4_kickoff3/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_kickoff3/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kickoff3/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_kickoff3/ko3_e8trimlight2_blue
{
	qer_editorimage textures/ut4_kickoff3/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_kickoff3/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kickoff3/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kickoff3/ko3_e8trimlight2_red
{
	qer_editorimage textures/ut4_kickoff3/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_kickoff3/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kickoff3/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kickoff3/ko3_e8base1c_shn
{
	qer_editorimage textures/ut4_kickoff3/e8_base1c.jpg

	{
		map textures/ut4_kickoff3/e8_base1c.jpg
	}
	{
		map textures/ut4_kickoff3/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_kickoff3/ko3_e8metal03c_shiney
{
	qer_editorimage textures/ut4_kickoff3/e8metal03c.tga
	surfaceparm nodamage

	{
		map textures/ut4_kickoff3/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_kickoff3/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
